Subject: RE: ksymoops and 64 bit mips

From: Gilad Benjamini <[email-masked]>
Date: Thu, 09 Jan 2003 16:01:03 +0200

Au contraire.
System.map has 32 bit addresses, which I tried to sign extended 
with "ffffffff" (the wonders of sed), but that didn't help.

> -----Original Message-----
> From: Ralf Baechle [mailto:[email-masked]]
> Sent: Thursday, January 09, 2003 3:38 PM
> To: Gilad Benjamini
> Cc: [email-masked]
> Subject: Re: ksymoops and 64 bit mips
> 
> 
> On Wed, Jan 08, 2003 at 10:15:19PM +0200, Gilad Benjamini wrote:
> 
> > Initially I got a lot of garbage.
> > Upgrdaing to ksymoops 2.4.5 , and using the --truncate=1 and 
> > -t elf32-little reduced 
> > the amount of garbage, but still all the output shown
> > was "No symbol available".
> > 
> > Any additional things I should do ?
> 
> Possibly your ksymoops is get confused by the System.map 
> file.  The vmlinux
> file is a 32-bit ELF file but the System.map file contains 
> the addresses
> sign-extended to 64-bit.  As a bandaid you can just chop off the high
> 32-bits of all addresses in System.map.
> 
>   Ralf
>